Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## com.google.gwt.user.client.ui
Interface HasAlignment

All Superinterfaces:
  HasHorizontalAlignment, HasVerticalAlignment

All Known Implementing Classes:
  DockPanel, HorizontalPanel, VerticalPanel

    public interface HasAlignment

extends HasHorizontalAlignment, HasVerticalAlignment

A widget that implements this interface has an intrinsic alignment which can be manipulated using these methods and constants.

Nested Class Summary

Nested classes/interfaces inherited from interface com.google.gwt.user.client.ui.HasHorizontalAlignment
`HasHorizontalAlignment.HorizontalAlignmentConstant`

Nested classes/interfaces inherited from interface com.google.gwt.user.client.ui.HasVerticalAlignment
`HasVerticalAlignment.VerticalAlignmentConstant`

Field Summary

Fields inherited from interface com.google.gwt.user.client.ui.HasHorizontalAlignment
`ALIGN_CENTER, ALIGN_LEFT, ALIGN_RIGHT`

Fields inherited from interface com.google.gwt.user.client.ui.HasVerticalAlignment
`ALIGN_BOTTOM, ALIGN_MIDDLE, ALIGN_TOP`

Method Summary

Methods inherited from interface com.google.gwt.user.client.ui.HasHorizontalAlignment
`getHorizontalAlignment, setHorizontalAlignment`

Methods inherited from interface com.google.gwt.user.client.ui.HasVerticalAlignment
`getVerticalAlignment, setVerticalAlignment`

Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD